
QGIS Application - Bug report #8609

HTML Annotation does not display HTML

2013-09-14 12:38 AM - Tim Sutton

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: OSX Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17350

Description

Using master / 2.1 setting the html page for an html annotation has no effect, the box remains white. I tested using the small snippet:

<html>

<head>

</head>

<body>

<table border="1">

  <tr>

    <td>Row 1 Cell 1</td>

    <td>Row 1 Cell 2</td>

  </tr>

  <tr>

    <td>Row 2 Cell 1</td>

    <td>Row 2 Cell 2</td>

  </tr>

</table>

</body>

</html>

I also tried testing with a locally downloaded page from my web browser.

Associated revisions

Revision 53c3ed2d - 2016-10-12 06:20 AM - Nyall Dawson

Fix HTML annotation does not display HTML (fix #8609)

Annotation was only rendering html when it was associated with a

map layer. Now if it isn't associated with a map layer it will

always render the html.

Revision 48e6bfc6 - 2016-10-12 12:54 PM - Nyall Dawson

Fix HTML annotation does not display HTML (fix #8609)

Annotation was only rendering html when it was associated with a

map layer. Now if it isn't associated with a map layer it will
always render the html.

(cherry-picked from 53c3ed2dc02baf43c3a5cc7323f37869f434f25a)

Revision 46030757 - 2016-10-12 02:19 PM - Nyall Dawson

Fix HTML annotation does not display HTML (fix #8609)

Annotation was only rendering html when it was associated with a

map layer. Now if it isn't associated with a map layer it will

always render the html.

(cherry-picked from 53c3ed2dc02baf43c3a5cc7323f37869f434f25a)

Revision 3efbc0be - 2016-10-13 11:52 PM - Nyall Dawson

Fix HTML annotation does not display HTML (fix #8609)

Annotation was only rendering html when it was associated with a

map layer. Now if it isn't associated with a map layer it will

always render the html.

(cherry-picked from 53c3ed2dc02baf43c3a5cc7323f37869f434f25a)

History

#1 - 2013-09-14 01:00 AM - Nathan Woodrow

They work for me here however you have to have a active layer before you add it otherwise it doesn't render.

Should it work without an active layer?

#2 - 2016-10-11 09:25 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"53c3ed2dc02baf43c3a5cc7323f37869f434f25a".

Files

table.html 207 Bytes 2013-09-13 Tim Sutton
